Your submission was sent successfully! Close

CVE-2009-4880

Published: 24 May 2010

Multiple integer overflows in the strfmon implementation in the GNU C Library (aka glibc or libc6) 2.10.1 and earlier allow context-dependent attackers to cause a denial of service (memory consumption or application crash) via a crafted format string, as demonstrated by a crafted first argument to the money_format function in PHP, a related issue to CVE-2008-1391.

Priority

Low

Status

Package Release Status
eglibc
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Does not exist

jaunty Does not exist

karmic
Released (2.10.1-0ubuntu17)
lucid
Released (2.11.1-0ubuntu7.1)
upstream
Released (2.12)
glibc
Launchpad, Ubuntu, Debian
dapper
Released (2.3.6-0ubuntu20.6)
hardy
Released (2.7-10ubuntu6)
jaunty
Released (2.9-4ubuntu6.2)
karmic Does not exist

lucid Does not exist

upstream Needs triage